osmo_sccp_addr Struct Reference

`#include <sccp_sap.h>`

## Data Fields

uint32_t | presence
enum osmo_sccp_routing_ind | ri
struct osmo_sccp_gt | gt
uint32_t | pc
uint32_t | ssn
union {
struct in_addr v4
struct in6_addr v6
} | ip

## Field Documentation

## gt

struct osmo_sccp_gt osmo_sccp_addr::gt

Referenced by DEFUN(), osmo_sccp_addr_cmp(), osmo_sccp_addr_dump(), osmo_sccp_addr_encode(), osmo_sccp_addr_name(), osmo_sccp_addr_parse(), osmo_sccp_check_addr(), sua_addr_parse_part(), write_sccp_addressbook(), and xua_msg_add_sccp_addr().

##

union { ... } osmo_sccp_addr::ip

Referenced by DEFUN(), osmo_sccp_addr_cmp(), osmo_sccp_addr_dump(), osmo_sccp_addr_name(), sua_addr_parse_part(), and xua_msg_add_sccp_addr().

## pc

uint32_t osmo_sccp_addr::pc

Referenced by DEFUN(), gen_mtp_transfer_req_xua(), gen_ret_msg(), osmo_sccp_addr_cmp(), osmo_sccp_addr_dump(), osmo_sccp_addr_encode(), osmo_sccp_addr_name(), osmo_sccp_addr_parse(), osmo_sccp_make_addr_pc_ssn(), patch_sccp_with_pc(), sccp_find_user(), sclc_rx_cldr(), sclc_rx_cldt(), scoc_fsm_idle(), scrc_local_out_common(), scrc_node_2(), scrc_node_6(), scrc_translate_node_9(), sua_addr_parse_part(), write_sccp_addressbook(), and xua_msg_add_sccp_addr().

## presence

uint32_t osmo_sccp_addr::presence

Referenced by DEFUN(), gen_mtp_transfer_req_xua(), gen_ret_msg(), osmo_sccp_addr_cmp(), osmo_sccp_addr_dump(), osmo_sccp_addr_encode(), osmo_sccp_addr_name(), osmo_sccp_addr_parse(), osmo_sccp_addr_ri_cmp(), osmo_sccp_addr_set_ssn(), osmo_sccp_check_addr(), osmo_sccp_make_addr_pc_ssn(), patch_sccp_with_pc(), sccp_find_user(), scoc_fsm_idle(), scrc_local_out_common(), sua_addr_parse_part(), write_sccp_addressbook(), xua_gen_msg_co(), and xua_msg_add_sccp_addr().

## ri

enum osmo_sccp_routing_ind osmo_sccp_addr::ri

Referenced by DEFUN(), gen_ret_msg(), osmo_sccp_addr_dump(), osmo_sccp_addr_encode(), osmo_sccp_addr_name(), osmo_sccp_addr_parse(), osmo_sccp_addr_ri_cmp(), osmo_sccp_check_addr(), sccp_scrc_rx_sclc_msg(), scrc_rx_mtp_xfer_ind_xua(), scrc_translate_node_9(), sua_addr_parse_part(), write_sccp_addressbook(), and xua_msg_add_sccp_addr().

## ssn

uint32_t osmo_sccp_addr::ssn

Referenced by DEFUN(), osmo_sccp_addr_cmp(), osmo_sccp_addr_dump(), osmo_sccp_addr_encode(), osmo_sccp_addr_name(), osmo_sccp_addr_parse(), osmo_sccp_addr_set_ssn(), osmo_sccp_make_addr_pc_ssn(), sccp_find_user(), sclc_rx_cldr(), sclc_rx_cldt(), scrc_node_6(), sua_addr_parse_part(), vty_show_connection(), write_sccp_addressbook(), and xua_msg_add_sccp_addr().

## v4

struct in_addr osmo_sccp_addr::v4

Referenced by DEFUN(), osmo_sccp_addr_cmp(), osmo_sccp_addr_dump(), osmo_sccp_addr_name(), sua_addr_parse_part(), and xua_msg_add_sccp_addr().

## v6

struct in6_addr osmo_sccp_addr::v6

Referenced by DEFUN(), and osmo_sccp_addr_cmp().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/sccp_sap.h